> For the complete documentation index, see [llms.txt](https://docs.thesports.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.thesports.com/cricket/websocket/websocket-sample-data.md).

# WebSocket Sample Data

### score

```json
[
    {
        "id": "x7lm77cn55p1m2w",
        "score": [
            "x7lm77cn55p1m2w",
            100,
            0,
            {
                "p1": [
                    321,
                    305
                ],
                "ft": [
                    321,
                    305
                ]
            },
            {
                "innings": [
                    [
                        2,
                        305,
                        111.3,
                        10
                    ]
                ],
                "results": {
                    "winby": 0,
                    "margin": 0
                }
            }
        ]
    }
]

field description
ft - Total score
p* - Single inning score(* - Number of inning, 1、2、3...)
[
    "x7lm77cn55p1m2w",//Match id
    100,//Match status, please refer to Status code->Match state
    0,//Batting team, 1. Home team, 2. Away team, 0. Unknown
    {//Score data (May be empty)
        "p1": [//p* - Single inning score(* - Number of inning, 1、2、3...)
            321,//Home team score
            305 //Away team score
        ],
        "ft": [//Total score
            321,//Home team score
            305 //Away team score
        ]
    },
    {//Single inning details and winning method (May be empty)
        "innings": [//Single inning details
            [
                2,//Team, 1. Home team, 2. Away team
                305,//Run score
                111.3,//Number of rounds eg：'50':Round 50, '39.5':Round 39 + 5 balls, the 5th ball in the 40th round
                10//Number of people eliminated
            ]
        ],
        "results": {//Winning method (Field may not exist)
            "winby": 0,//Way to win, 1. runs, 2. wickets, 3. innings, 0. none(appears in a tie)
            "margin": 0,//Difference (runs/wickets)
            "result": 0 //Match result, 1. home won, 2. away won, 3. draw, 0. No result(canceled, not started, postponed, etc.) (Field may not exist)
        }
    }
]
```

### timeline

```json
[
    {
        "id": "x7lm77cn55p1m2w",
        "timeline": [
            {
                "inning": 1,
                "team_id": "gx7lm77ce36m2wd",
                "overs": [
                    [
                        1,
                        1,
                        0,
                        0,
                        ""
                    ]
                ],
                "wickets": [
                    [
                        1,
                        3
                    ]
                ],
                "players": [
                    [
                        1,
                        1,
                        "4wyrnyc2494q86p",
                        "zp5rzpc2468q82w",
                        "ednm96cddoymyox",
                        0,
                        0,
                        0,
                        0,
                        0
                    ]
                ]
            }
        ]
    }
]

field description
[
    {
        "inning": 1,//Innings, 1-first inning, 2-second inning, and so on
        "team_id": "gx7lm77ce36m2wd",//Batting team id
        "overs": [//Rounds and balls
            [
                1,//Rounds, 1-first round, 2-second round, and so on
                1,//Balls, 1-first ball, 2-second ball, and so on
                0,//Score
                0,//Extra scores
                ""//Extra scores description，WD-wides、B-byes、NB-no_balls、LB-leg_byes、P-penalty
            ]
        ],
        "wickets": [//Wickets
            [
                1,//Rounds, 1-first round, 2-second round, and so on
                3 //Balls, 1-first ball, 2-second ball, and so on
            ]
        ],
        "players": [
            [
                1,//Rounds, 1-first round, 2-second round, and so on
                1,//Balls, 1-first ball, 2-second ball, and so on
                "4wyrnyc2494q86p",//Pitching player id
                "zp5rzpc2468q82w",//Batting player id (current batting)
                "ednm96cddoymyox",//Batting player id (current not batting)
                0,//Placeholder, ignore
                0,//Placeholder, ignore
                0,//Placeholder, ignore
                0,//Placeholder, ignore
                0 //Placeholder, ignore
            ]
        ]
    }
]
```

### players

```json
[
    {
        "id": "x7lm77cn55p1m2w",
        "players": [
            {
                "inning": 1,
                "batting": {
                    "team_id": "gx7lm77ce36m2wd",
                    "runs": 289,
                    "balls_faced": 671,
                    "fours": 38,
                    "sixes": 3,
                    "players": [
                        [
                            "zp5rzpc26ykq82w",
                            38,
                            71,
                            3,
                            1,
                            "53.52"
                        ]
                    ],
                    "extra": [
                        [
                            "965mkzcgo3pm1ge",
                            2,
                            "dn1m1kcol62qoep",
                            "3glrwocl34zmdyj",
                            0,
                            0,
                            0,
                            0,
                            0
                        ]
                    ]
                },
                "bowling": {
                    "team_id": "p3glrwoc535mdyj",
                    "wides": 0,
                    "byes": 4,
                    "leg_byes": 8,
                    "penalty": 0,
                    "no_balls": 4,
                    "extra": 16,
                    "players": [
                        [
                            "8yomo3c50n4m0j6",
                            4,
                            2,
                            2,
                            1,
                            "0.5"
                        ]
                    ]
                }
            }
        ]
    }
]

field description
[
    {
        "inning": 1,//Innings, 1-first inning, 2-second inning, and so on
        "batting": {//Batting side statistics
            "team_id": "gx7lm77ce36m2wd",//Batting team id
            "runs": 289,//Team score
            "balls_faced": 671,//Number of team battings
            "fours": 38,//Number of team 4 points balls
            "sixes": 3,//Number of team 6 points balls
            "players": [//Player statistics
                [
                    "zp5rzpc26ykq82w",//Player id
                    38,//Score
                    71,//Number of battings
                    3,//Number of 4 points balls
                    1,//Number of 6 points balls
                    "53.52"//Scoring rate
                ]
            ],
            "extra": [
                [
                    "965mkzcgo3pm1ge",//Player id
                    2,//Elimination type id, see Status Code -> Elimination Type
                    "dn1m1kcol62qoep",//Pitching player id
                    "3glrwocl34zmdyj",//Outfield Player id
                    0,//Placeholder, ignore
                    0,//Placeholder, ignore
                    0,//Placeholder, ignore
                    0,//Placeholder, ignore
                    0 //Placeholder, ignore
                ]
            ]
        },
        "bowling": {//Pitching side statistics
            "team_id": "p3glrwoc535mdyj",//Pitching team id
            "wides": 0,//Team wides
            "byes": 4,//Team byes
            "leg_byes": 8,//Team leg_byes
            "penalty": 0,//Team penalty
            "no_balls": 4,//Team no_balls
            "extra": 16,//Additional score(lose score)
            "players": [//Player statistics
                [
                    "8yomo3c50n4m0j6",//Player id
                    4,//Number of rounds played(int/float)
                    2,//Number of innocent rounds
                    2,//Lose score
                    1,//Elimination number
                    "0.5"//Lose score per round
                ]
            ]
        }
    }
]
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.thesports.com/cricket/websocket/websocket-sample-data.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
